API ReferenceInvoices
🆕 Admin: Mark an invoice as settled
POST
/v1/invoices/{id}/settleAuthorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/invoices/string/settle" \ -H "Content-Type: application/json" \ -d '{ "settlementType": "MANUAL" }'{ "success": true, "statusCode": 200, "message": "Request processed successfully", "timestamp": "2025-10-20T16:30:00.000Z", "path": "/v1/auth/register", "data": { "id": "string", "organisationId": "string", "amount": 0, "currency": "string", "status": "string", "periodStart": "2019-08-24T14:15:22Z", "periodEnd": "2019-08-24T14:15:22Z", "dueDate": "2019-08-24T14:15:22Z", "settlementType": "string", "transactionId": "string", "createdAt": "2019-08-24T14:15:22Z" }}